Route Get Experience

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Thankly MCP server": {
    "url": "https://docs.thankly.ai/mcp"
  }
}

Close
GET /experiences/{experience_id}

Path parameters

  • experience_id string Required

Responses

  • 200 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • experienceId string Required
    • status string Required

      Values are PENDING, READY, or FAILED.

    • widgets array[object] Required
      One of:
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
GET /experiences/{experience_id}
curl \
 --request GET 'http://api.example.com/experiences/{experience_id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "experienceId": "string",
  "status": "PENDING",
  "widgets": [
    {
      "capabilityId": "string",
      "status": "string",
      "currentVersion": 42,
      "heading": "string",
      "errorMessage": "string",
      "type": "restaurants",
      "data": {
        "type": "string",
        "heading": "string",
        "items": [
          {
            "id": "string",
            "title": "string",
            "description": "string",
            "address": "string",
            "link": "string",
            "imageSearchQuery": "string",
            "imageUrl": "string",
            "placeId": "string",
            "lat": 42.0,
            "lng": 42.0,
            "photoName": "string",
            "rating": 42.0,
            "userRatingCount": 42
          }
        ]
      }
    }
  ]
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}